Subject: bug#15402: 24.3; Emacs and Mac OS Dock bad launch behavior

From: Stefan Monnier <[email-masked]>
Date: Wed, 18 Sep 2013 13:24:47 -0400

> This is NOT required when launching Emacs from the command line!

Typically, the difference between the two is that running Emacs from the
command line runs it with environment variables set by your shell's init
scripts, whereas running it from the GUI does not have those
env-vars set.

IOW please compare M-: process-environment RET in the two cases, it will
probably contain a clue.

        Stefan